package com.example.veraxapplication.navigation

import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.runtime.Composable
import androidx.compose.runtime.LaunchedEffect
import androidx.compose.ui.Modifier
import androidx.navigation.NavType
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import androidx.navigation.compose.rememberNavController
import androidx.navigation.navArgument
//import com.example.veraxapplication.HomeScreen
import com.example.veraxapplication.data.Stub

//https://codefirst.iut.uca.fr/git/Kotlin_Android/Android_TP_2/src/branch/master/app/src/main/java/fr/iut/tp2/navigation/TP2NavHost.kt
@Composable
fun NavHost(){
    val navController = rememberNavController()
    val articles = Stub.Articles

    NavHost(
        modifier = Modifier.fillMaxSize(),
        navController = navController,
        startDestination = "home"
    ) {
    /*
        composable(route = "home") {
            HomeScreen(
                //article = , //recup l article cliqué
                goToArticle = {
                    navController.navigate("articleALaUne/${it.id}")
                }
            )
        }
        composable(
            route = "articleALaUne/{articleId}",
            arguments = navArgument("articleALaUne") { type = NavType.LongType })
     */
    }
}